include ../Makefile.common

CXXFLAGS := -Iinclude -IOPCODE -DdTRIMESH_OPCODE $(CXXFLAGS)
CFLAGS := -Iinclude -IOPCODE -DdTRIMESH_OPCODE $(CFLAGS)

OBJ += $(patsubst %.cpp,%.o,$(wildcard src/*.cpp)) $(patsubst %.c,%.o,$(wildcard src/*.c)) $(patsubst %.cpp,%.o,$(wildcard OPCODE/*.cpp)) $(patsubst %.cpp,%.o,$(wildcard OPCODE/Ice/*.cpp))
LIBNAME = libode.a

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
	@echo Creating archive $@ 
	@ar -csru $@ $(OBJ)
	@echo

clean:
	-@$(RM) src$(SLASH)*.o
	-@$(RM) src$(SLASH)*.d
	-@$(RM) OPCODE$(SLASH)*.o
	-@$(RM) OPCODE$(SLASH)*.d
	-@$(RM) OPCODE$(SLASH)ICE$(SLASH)*.o
	-@$(RM) OPCODE$(SLASH)ICE$(SLASH)*.d
	-@$(RM) $(LIBNAME)
